Subject: Re: [PATCH rdma-next v4 00/13] Optional counter statistics support

From: Leon Romanovsky <[email-masked]>
Date: Sat, 9 Oct 2021 12:04:24 +0300

On Fri, Oct 08, 2021 at 03:57:36PM -0300, Jason Gunthorpe wrote:
> On Fri, Oct 08, 2021 at 03:24:26PM +0300, Mark Zhang wrote:
> > 
> > Aharon Landau (12):
> >   net/mlx5: Add ifc bits to support optional counters
> >   net/mlx5: Add priorities for counters in RDMA namespaces
> >   RDMA/counter: Add a descriptor in struct rdma_hw_stats
> >   RDMA/counter: Add an is_disabled field in struct rdma_hw_stats
> >   RDMA/counter: Add optional counter support
> >   RDMA/nldev: Add support to get status of all counters
> >   RDMA/nldev: Split nldev_stat_set_mode_doit out of nldev_stat_set_doit
> >   RDMA/nldev: Allow optional-counter status configuration through RDMA
> >     netlink
> >   RDMA/mlx5: Support optional counters in hw_stats initialization
> >   RDMA/mlx5: Add steering support in optional flow counters
> >   RDMA/mlx5: Add modify_op_stat() support
> >   RDMA/mlx5: Add optional counter support in get_hw_stats callback
> > 
> > Mark Zhang (1):
> >   RDMA/core: Add a helper API rdma_free_hw_stats_struct
> 
> This seems fine now, please update the shared branch

Thanks, applied

b8dfed636fc6 net/mlx5: Add priorities for counters in RDMA namespaces
8208461d3912 net/mlx5: Add ifc bits to support optional counters

> Jason